<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1integration.html">integration</a></li><li class="navelem"><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1_observable_message_request.html">ObservableMessageRequest</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">alexaClientSDK::integration::ObservableMessageRequest Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classalexa_client_s_d_k_1_1integration_1_1_observable_message_request.html">alexaClientSDK::integration::ObservableMessageRequest</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_message_request.html#a7f6ff7cc1d2b684a16ea33e706b5600e">addAttachmentReader</a>(const std::string &amp;name, std::shared_ptr&lt; attachment::AttachmentReader &gt; attachmentReader)</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_message_request.html">alexaClientSDK::avsCommon::avs::MessageRequest</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_message_request.html#ad0a451c99ee5d47c639e89b668e7830f">addObserver</a>(std::shared_ptr&lt; avsCommon::sdkInterfaces::MessageRequestObserverInterface &gt; observer)</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_message_request.html">alexaClientSDK::avsCommon::avs::MessageRequest</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_message_request.html#aeee198a7b81ca9606891bc78a559490a">attachmentReadersCount</a>()</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_message_request.html">alexaClientSDK::avsCommon::avs::MessageRequest</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1_observable_message_request.html#a71d3cce299cdbf95b8c34464c6e53e11">exceptionReceived</a>(const std::string &amp;exceptionMessage) override</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1_observable_message_request.html">alexaClientSDK::integration::ObservableMessageRequest</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_message_request.html#a6767e31d1960a086975471813345a86f">getAttachmentReader</a>(size_t index)</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_message_request.html">alexaClientSDK::avsCommon::avs::MessageRequest</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_message_request.html#ae2e3df68ead7a256b7c617cc98abb9d6">getJsonContent</a>()</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_message_request.html">alexaClientSDK::avsCommon::avs::MessageRequest</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1_observable_message_request.html#a0bca122326487ecfe2d49c81b7bf429f">getSendMessageStatus</a>() const</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1_observable_message_request.html">alexaClientSDK::integration::ObservableMessageRequest</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_message_request.html#ab0cb8cc3cdd1e5094eff0776ad54d518">getUriPathExtension</a>()</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_message_request.html">alexaClientSDK::avsCommon::avs::MessageRequest</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1_observable_message_request.html#abc2a1e52b517c7be181c23b196b54f30">hasSendCompleted</a>()</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1_observable_message_request.html">alexaClientSDK::integration::ObservableMessageRequest</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_message_request.html#af7f042e8bce1352f1359b111e5c5355b">m_jsonContent</a></td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_message_request.html">alexaClientSDK::avsCommon::avs::MessageRequest</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_message_request.html#a423d6a102e3d537ccb4b56d185a14bf8">m_observerMutex</a></td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_message_request.html">alexaClientSDK::avsCommon::avs::MessageRequest</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_message_request.html#ad67b78688c70a3a33e137ebb51f3bd39">m_observers</a></td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_message_request.html">alexaClientSDK::avsCommon::avs::MessageRequest</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_message_request.html#a057aa763160b1417dc31f93706fa5a8f">m_readers</a></td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_message_request.html">alexaClientSDK::avsCommon::avs::MessageRequest</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_message_request.html#a23cd79d5ac89983f17b6c1d90a8942bf">m_uriPathExtension</a></td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_message_request.html">alexaClientSDK::avsCommon::avs::MessageRequest</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_message_request.html#a74d6eb572d6c3f1172cfa5108fcd5a64">MessageRequest</a>(const std::string &amp;jsonContent, const std::string &amp;uriPathExtension=&quot;&quot;)</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_message_request.html">alexaClientSDK::avsCommon::avs::MessageRequest</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1_observable_message_request.html#a353893c57bcc6351031e4960b6d3feb1">ObservableMessageRequest</a>(const std::string &amp;jsonContent, std::shared_ptr&lt; avsCommon::avs::attachment::AttachmentReader &gt; attachmentReader=nullptr)</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1_observable_message_request.html">alexaClientSDK::integration::ObservableMessageRequest</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_message_request.html#a31fe3acc9b87911b14fb4a10d98d6dda">removeObserver</a>(std::shared_ptr&lt; avsCommon::sdkInterfaces::MessageRequestObserverInterface &gt; observer)</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_message_request.html">alexaClientSDK::avsCommon::avs::MessageRequest</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1_observable_message_request.html#aac5887c4dea8cdc4de3ba71010e12d41">sendCompleted</a>(avsCommon::sdkInterfaces::MessageRequestObserverInterface::Status status) override</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1_observable_message_request.html">alexaClientSDK::integration::ObservableMessageRequest</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1_observable_message_request.html#aae1d6b169d5df0239204eab2ead7bede">waitFor</a>(const avsCommon::sdkInterfaces::MessageRequestObserverInterface::Status, const std::chrono::seconds=std::chrono::seconds(10))</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1_observable_message_request.html">alexaClientSDK::integration::ObservableMessageRequest</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1_observable_message_request.html#afcba5c537e217f95a0d7a2dbfaf96147">wasExceptionReceived</a>()</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1_observable_message_request.html">alexaClientSDK::integration::ObservableMessageRequest</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_message_request.html#a8a62d7ec22c5c11079faec9f1a7a834a">~MessageRequest</a>()</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_message_request.html">alexaClientSDK::avsCommon::avs::MessageRequest</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
</table></div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
